hpp-corbaserver: Tools Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Tools Class Reference

`#include <hpp/corbaserver/tools-idl.hh>`

Inheritance diagram for Tools:
[legend]
Collaboration diagram for Tools:
[legend]

## Public Types
typedef Tools_ptr | _ptr_type
typedef Tools_var | _var_type

## Public Member Functions
virtual | ~Tools ()
inline ::hpp::Tools_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef Tools_ptr Tools::_ptr_type

## ◆ _var_type

typedef Tools_var Tools::_var_type

## Constructor & Destructor Documentation

## ◆ ~Tools()

virtual Tools::~Tools | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type Tools::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type Tools::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

_CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE_END void Tools::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type Tools::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type Tools::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::Tools_ptr Tools::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type Tools::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type Tools::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* Tools::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/tools-idl.hh